jQuery(document).on( 'click', '.fa-sport-odds-not-registered-notice .notice-dismiss', function() {

    jQuery.ajax({
        url: ajaxurl,
        data: {
            action: 'fa_sport_odds_not_registered_notice'
        }
    })

})

function FA_SportOdds_GetLeagues(bid, selector, current) {
	var data = {
		'action': 'fa_sportodds_getleagues',
		'bid': bid
	};
	jQuery(selector).children().remove().end().append('<option selected value="-">Loading available leagues...</option>') ;
	jQuery.post(ajaxurl, data, function(leagues) {
		jQuery(selector).children().remove().end().append('<option selected value="-">-- Select league --</option>') ;
		var data = [];
		jQuery.each(leagues, function(key, league) {
			data = { value : league.id, text : league.name };
			if (league.id == current)
				data.selected = 'selected';
			jQuery(selector).append(jQuery("<option/>", data ));
		});
	}, 'json');
}

function FA_SportOdds_VerifyNewUser() {
	if (jQuery("input[name=verify]").is(":checked") == false) {
		alert("Confirm terms and conditions!");
		return false;
	}
	if (jQuery("input[name=fa_sport_odds-USERNAME]").val()==""
		||jQuery("input[name=fa_sport_odds-NAME]").val()==""
		||jQuery("input[name=fa_sport_odds-EMAIL]").val()==""
		||jQuery("input[name=fa_sport_odds-SECRETPASSWORD]").val()=="") {
		alert("Please fill in all fields!");
		return false;	
	}
	return true;

}

function FA_SportOdds_VerifyExistingUser() {
	if (jQuery("input[name=verify]").is(":checked") == false) {
		alert("Confirm terms and conditions!");
		return false;
	}
	if (jQuery("input[name=fa_sport_odds-EMAILEXISTING]").val()==""
		||jQuery("input[name=fa_sport_odds-SECRETANSWER]").val()=="") {
		alert("Please fill in all fields!");
		return false;	
	}
	return true;

}