<?php
	
if( !defined( 'ABSPATH' ) )
	exit;
	

class FA_Odds_Translation extends WP_List_Table {

	protected $data;

	function __construct() {
		global $wpdb;
		parent::__construct();

		if(isset($_GET['s']))
		{
			$where .= "AND (`username` LIKE '%{$_GET['s']}%' || `agent` LIKE '%{$_GET['s']}%')";
			
		}


		
		$query = "SELECT * FROM `bf_optin` WHERE 1=1 {$where}";


		$this->data = $wpdb->get_results($query, ARRAY_A);


	}

	function get_columns(){
		$columns = array(
			'key' => 'Key Word',
			'translated' => 'Translated Word',
		);
		return $columns;
	}

	function prepare_items() {
		$columns = $this->get_columns();
		$hidden = array();
		$sortable = array();
		$this->_column_headers = array($columns, $hidden, $sortable);

		$per_page = 10;
		$current_page = $this->get_pagenum();
		$total_items = count($this->data);

		$this->items = array_slice($this->data,(($current_page-1)*$per_page),$per_page);

		$this->set_pagination_args( array(
			'total_items' => $total_items,                  
			'per_page'    => $per_page     
		) );
	}

	function column_default( $item, $column_name ) {
		global $wpdb;
		switch( $column_name ) { 
			case 'key':				
				return $item[$column_name];
			case 'translated':
				return $item[$column_name];			
			default:
				return print_r( $item, true ) ; //Show the whole array for troubleshooting purposes
		}
	}


}

$myListTable = new FA_Odds_Translation();
echo '<div class="wrap"><h2>Sports Odds Translate</h2>';

?>

<form method="get" action="?page=<?php echo $_REQUEST['page'] ?>">
	<input type="hidden" name="page" value="<?php echo $_REQUEST['page'] ?>" />
	<p class="search-box">
		<label class="screen-reader-text" for="search_id-search-input">
		search:</label> 
		<input id="search_id-search-input" type="text" name="s" value="<?php echo $_POST['s']?>" /> 
		<input id="search-submit" class="button" type="submit" name="" value="Search" />
	</p>
</form>
<?php


	$myListTable->prepare_items(); 
	$myListTable->display();

echo '</div>';




